package com.gh.common.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.Constants
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IMiniGameRecentlyPlayedProvider
import com.gh.gamecenter.minigame.MiniGameRecentlyPlayUseCase

@com.therouter.inject.ServiceProvider
class MiniGameRecentlyPlayedProviderImpl : IMiniGameRecentlyPlayedProvider {
    override fun clearMiniGameRecentlyPlayed(gameType: String) {
        MiniGameRecentlyPlayUseCase.clearRecentlyPlayedMiniGameList(gameType)
    }

    override fun refreshQQMiniRecentPlayed() {
        MiniGameRecentlyPlayUseCase.loadRecentlyPlayedMiniGameList(Constants.QQ_MINI_GAME)
    }
}